package com.qmth.themis.business.dto.response;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @Description: 考试场次dto
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/8/3
 */
public class TEExamActivityDto implements Serializable {

    private Long id;//考试id
    private String code;//考试场次代码
    private Long examStudentId;//考生id
    private String courseCode;//科目代码
    private String courseName;//科目名称
    private Long prepareTime;
    private Long minStartTime;
    private Long maxStartTime;
    private Long maxFinishTime;
    private String monitorVideoSourceStr;
    private List<String> monitorVideoSource;
    private Long openingSeconds;//允许开考开放时长(分钟)，相当于迟到时间
    private Long activityOpeningSeconds;//允许开考开放时长(分钟)，相当于迟到时间
    private Long prepareSeconds;//提前多长时间开始候考(分钟)
    private Long activityPrepareSeconds;//提前多长时间开始候考(分钟)
    private Long minDurationSeconds;//最短考试时长，相当于考试冻结时间(分钟)
    private Long maxDurationSeconds;//最大考试时长
    private Long activityMaxDurationSeconds;//最大考试时长
    private Integer examCount;//允许考试次数
    private Integer fouceFinish;//是否在结束时间集中强制收卷，0：不强制，1：强制
    private String entryAuthenticationPolicy;//开考身份验证策略，off：关闭，face_verify_optional：非强制人脸验证，face_verify_force：强制人脸验证，liveness：活体验证
    private Integer inProcessFaceVerify;//考试过程中人脸检测是否开启，0：不开启，1：开启
    private Integer inProcessFaceStrangerIgnore;//考试过程中人脸检测是否忽略陌生人 ，0：不忽略，1：忽略
    private Integer inProcessLivenessVerify;//考试过程中是否启用活体检测 ，0：不启用，1：启用
    private String inProcessLivenessFixedRangeStr;
    private List<Long> inProcessLivenessFixedRange;//考试过程中活体检测间隔时间
    private String inProcessLivenessJudgePolicy;//考试过程中活体检测结果判定规则，any：任意一次通过，all：全部都要通过，more：通过次数大于失败次数
    private Integer cameraPhotoUpload;//是否允许使用摄像头拍照答题，0：不允许，1：允许
    private Date startTime;//考场开始时间
    private Date finishTime;//考场结束时间
    private Integer leftExamCount;//剩余考试次数
    private Integer mobilePhotoUpload;//是否允许使用移动端拍照答题，0：不开启，1：开启

    public Integer getMobilePhotoUpload() {
        return mobilePhotoUpload;
    }

    public void setMobilePhotoUpload(Integer mobilePhotoUpload) {
        this.mobilePhotoUpload = mobilePhotoUpload;
    }

    public Integer getLeftExamCount() {
        return leftExamCount;
    }

    public void setLeftExamCount(Integer leftExamCount) {
        this.leftExamCount = leftExamCount;
    }

    public String getMonitorVideoSourceStr() {
        return monitorVideoSourceStr;
    }

    public void setMonitorVideoSourceStr(String monitorVideoSourceStr) {
        this.monitorVideoSourceStr = monitorVideoSourceStr;
    }

    public String getInProcessLivenessFixedRangeStr() {
        return inProcessLivenessFixedRangeStr;
    }

    public void setInProcessLivenessFixedRangeStr(String inProcessLivenessFixedRangeStr) {
        this.inProcessLivenessFixedRangeStr = inProcessLivenessFixedRangeStr;
    }

    public Long getPrepareTime() {
        return prepareTime;
    }

    public void setPrepareTime(Long prepareTime) {
        this.prepareTime = prepareTime;
    }

    public Long getMinStartTime() {
        return minStartTime;
    }

    public void setMinStartTime(Long minStartTime) {
        this.minStartTime = minStartTime;
    }

    public Long getMaxStartTime() {
        return maxStartTime;
    }

    public void setMaxStartTime(Long maxStartTime) {
        this.maxStartTime = maxStartTime;
    }

    public Long getMaxFinishTime() {
        return maxFinishTime;
    }

    public void setMaxFinishTime(Long maxFinishTime) {
        this.maxFinishTime = maxFinishTime;
    }

    public List<String> getMonitorVideoSource() {
        return monitorVideoSource;
    }

    public void setMonitorVideoSource(List<String> monitorVideoSource) {
        this.monitorVideoSource = monitorVideoSource;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public Long getExamStudentId() {
        return examStudentId;
    }

    public void setExamStudentId(Long examStudentId) {
        this.examStudentId = examStudentId;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public Long getOpeningSeconds() {
        return openingSeconds;
    }

    public void setOpeningSeconds(Long openingSeconds) {
        this.openingSeconds = openingSeconds;
    }

    public Long getActivityOpeningSeconds() {
        return activityOpeningSeconds;
    }

    public void setActivityOpeningSeconds(Long activityOpeningSeconds) {
        this.activityOpeningSeconds = activityOpeningSeconds;
    }

    public Long getPrepareSeconds() {
        return prepareSeconds;
    }

    public void setPrepareSeconds(Long prepareSeconds) {
        this.prepareSeconds = prepareSeconds;
    }

    public Long getActivityPrepareSeconds() {
        return activityPrepareSeconds;
    }

    public void setActivityPrepareSeconds(Long activityPrepareSeconds) {
        this.activityPrepareSeconds = activityPrepareSeconds;
    }

    public Long getMinDurationSeconds() {
        return minDurationSeconds;
    }

    public void setMinDurationSeconds(Long minDurationSeconds) {
        this.minDurationSeconds = minDurationSeconds;
    }

    public Long getMaxDurationSeconds() {
        return maxDurationSeconds;
    }

    public void setMaxDurationSeconds(Long maxDurationSeconds) {
        this.maxDurationSeconds = maxDurationSeconds;
    }

    public Long getActivityMaxDurationSeconds() {
        return activityMaxDurationSeconds;
    }

    public void setActivityMaxDurationSeconds(Long activityMaxDurationSeconds) {
        this.activityMaxDurationSeconds = activityMaxDurationSeconds;
    }

    public Integer getExamCount() {
        return examCount;
    }

    public void setExamCount(Integer examCount) {
        this.examCount = examCount;
    }

    public Integer getFouceFinish() {
        return fouceFinish;
    }

    public void setFouceFinish(Integer fouceFinish) {
        this.fouceFinish = fouceFinish;
    }

    public String getEntryAuthenticationPolicy() {
        return entryAuthenticationPolicy;
    }

    public void setEntryAuthenticationPolicy(String entryAuthenticationPolicy) {
        this.entryAuthenticationPolicy = entryAuthenticationPolicy;
    }

    public Integer getInProcessFaceVerify() {
        return inProcessFaceVerify;
    }

    public void setInProcessFaceVerify(Integer inProcessFaceVerify) {
        this.inProcessFaceVerify = inProcessFaceVerify;
    }

    public Integer getInProcessFaceStrangerIgnore() {
        return inProcessFaceStrangerIgnore;
    }

    public void setInProcessFaceStrangerIgnore(Integer inProcessFaceStrangerIgnore) {
        this.inProcessFaceStrangerIgnore = inProcessFaceStrangerIgnore;
    }

    public Integer getInProcessLivenessVerify() {
        return inProcessLivenessVerify;
    }

    public void setInProcessLivenessVerify(Integer inProcessLivenessVerify) {
        this.inProcessLivenessVerify = inProcessLivenessVerify;
    }

    public List<Long> getInProcessLivenessFixedRange() {
        return inProcessLivenessFixedRange;
    }

    public void setInProcessLivenessFixedRange(List<Long> inProcessLivenessFixedRange) {
        this.inProcessLivenessFixedRange = inProcessLivenessFixedRange;
    }

    public String getInProcessLivenessJudgePolicy() {
        return inProcessLivenessJudgePolicy;
    }

    public void setInProcessLivenessJudgePolicy(String inProcessLivenessJudgePolicy) {
        this.inProcessLivenessJudgePolicy = inProcessLivenessJudgePolicy;
    }

    public Integer getCameraPhotoUpload() {
        return cameraPhotoUpload;
    }

    public void setCameraPhotoUpload(Integer cameraPhotoUpload) {
        this.cameraPhotoUpload = cameraPhotoUpload;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getFinishTime() {
        return finishTime;
    }

    public void setFinishTime(Date finishTime) {
        this.finishTime = finishTime;
    }
}
